Subject: [bug#67261] [PATCH 3/3] images: Add orangepi-r1-plus-lts image.

From: Vagrant Cascadian <[email-masked]>
Date: Fri, 22 Dec 2023 15:59:33 -0800

On 2023-12-03, Efraim Flashner wrote:
> On Fri, Dec 01, 2023 at 11:58:57AM -0800, Vagrant Cascadian wrote:
>> On 2023-11-18, Herman Rimm wrote:
>> > * gnu/local.mk: Register image.
>> > * gnu/system/images/orangepi-r1-plus-lts-rk3328.scm: New file.
>> > * gnu/system/install.scm (orangepi-r1-plus-lts-rk3328-installation-os):
>> >   New variable.
>> 
>> I guess this opens in my mind a larger question of how many images do we
>> want to build out-of-the-box?
>> 
>> Building images for every (ARM) board variant possibly supported in guix
>> might not be sustainable in the long term... this could easily become
>> hundreds of images. How big is each image?
>> 
>> On the other hand, most of the images for a given architecture will
>> share much of the work between them, as most of the individual packages
>> used to build each image are the same.
>> 
>> Not having CI build each and every image is one approach... although
>> then you might not notice when an individual image breaks.
>
> Do we normally build all the images in (gnu system images)? There seems
> to be a large number of different file-system offsets needed for
> different boards.  I suppose we could standardize on a larger size that
> would take care of most of them, but until something is setup to make it
> possible I'm not sure it's possible to support them for Guix System
> without also adding an OS config for the offsets for the root file
> system.

From a quick look, ci.guix.gnu.org builds
pinebook-pro-barebones-raw-image, pine64-barebones-raw-image,
novena-barebones-raw-image ... but I could not find an image for rock64
... so I am not sure what is built by CI out of the box.

live well,
  vagrant